<?php

declare (strict_types=1);
namespace Freefactu_Vendor\Endroid\QrCode\Label;

use Freefactu_Vendor\Endroid\QrCode\Color\ColorInterface;
use Freefactu_Vendor\Endroid\QrCode\Label\Font\FontInterface;
use Freefactu_Vendor\Endroid\QrCode\Label\Margin\MarginInterface;
interface LabelInterface
{
    public function getText(): string;
    public function getFont(): FontInterface;
    public function getAlignment(): LabelAlignment;
    public function getMargin(): MarginInterface;
    public function getTextColor(): ColorInterface;
}
